/// <summary>
/// Response of end user records, contains an array of Readers
/// </summary>
class ReadersResponse
{
    Results = []; // array of readers
    TotalRecords = 0;

    constructor(Results, total)
    {
        this.Results = Results;
        if (!total)
        {
            this.TotalRecords = Results.length;
        }
        else
        {
            this.TotalRecords = total;
        }
    }
}

module.exports.ReadersResponse = ReadersResponse;