var express = require('express');
const { DataAccess } = require('../DataAccess');

var router = express.Router();

router.get('/', (req, res) => {
    console.log('GET readers endpoint called in Permissions.js, req was ', req);

    var response = DataAccess.getReaderPermissions(req.query.userId);

    res.setHeader('Content-Type', 'application/json');
    res.send(JSON.stringify(response));
});

module.exports = router;