const { AccessPolicy } = require("./AccessPolicy.js");

class AuthenticationResponse {
    Succeed = false; // bool (required)
    UserId; // string (required if Succeeed is true)
    Username; // string (required if Succeeed is true)
    Message; // string (optional)
    WatermarkTokens; // dictionary (optional)
    Policy; // AccessPolicy

    constructor(Succeed)
    {
        this.Succeed = Succeed;
    }
}

module.exports.AuthenticationResponse = AuthenticationResponse;