var express = require('express');
const { DataAccess } = require('../DataAccess');

var router = express.Router();

router.get('/', (req, res) => {
    console.log('GET readers endpoint called, req was ', req);

    var response = DataAccess.getReaders(req.query.page, req.query.filter, req.query.sort);

    res.setHeader('Content-Type', 'application/json');
    res.send(JSON.stringify(response));
});

module.exports = router;